Skip to content

API reference

Plan applying a configuration file

config_plan — Compare the document with the workspace: each item add · update · keep (· delete when delete_missing).

config_plan · Reads saved data

Compare the document with the workspace: each item add · update · keep (· delete when delete_missing). Returns a plan_id valid 15 minutes. New growth tasks will arrive OFF and new campaigns as drafts. Nothing is written yet.

REST POST /api/public/v1/config/plan
MCP tool config_plan
Permission needed infra.manage — Owner, Manager
Scope group automation:write
Group Configuration and limits
Shown up front in profiles Automation

Input

Field Type Required Description
document object Yes
delete_missing boolean No Also delete groups / templates / playbooks absent from the file (never tasks, campaigns or customers).

Result

Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.

Example

Call over REST

curl -X POST "https://reach-link-craft.lovable.app/api/public/v1/config/plan" \
  -H "Authorization: Bearer $XBUDDY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"document":{}}'

Call over MCP

{
  "method": "tools/call",
  "params": {
    "name": "config_plan",
    "arguments": {
      "document": {}
    }
  }
}

Errors you may get

Back to all operations